Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# handlebox.hh File Reference

A GtkHandleBox C++ wrapper interface. More...

`#include <xfc/gtk/bin.hh>`
`#include <gtk/gtkhandlebox.h>`
`#include <xfc/gtk/inline/handlebox.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::HandleBox
    A GtkHandleBox C++ wrapper class. More...

## Detailed Description

A GtkHandleBox C++ wrapper interface.

Provides HandleBox, a widget that allows a portion of a window to be "torn off". It is a bin widget which displays its child and a handle that the user can drag to tear off a separate window (the float window) containing the child widget.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3